<!-- TOP Nav Bar -->
<div class="iq-top-navbar">
  <div class="iq-navbar-custom d-flex align-items-center">
    <div class="iq-sidebar-logo">
      <div class="top-logo">
        <a href="index.html" class="logo">
          <img src="https://perenitysoftware.com/wp-content/uploads/2020/05/logo-perenity-software.svg"
               class="img-fluid" alt="">
        </a>
      </div>
    </div>
    <div class="iq-menu-horizontal">
      <nav class="iq-sidebar-menu">

        <!-- MOBILE MENU -->
        <ul id="iq-sidebar-toggle" class="iq-menu d-none mobile-menu">
          <li *ngFor="let menuItem of menuItems; let i=index">

            <a href="#menuItem{{i}}" class="iq-waves-effect collapsed" data-toggle="collapse"
               aria-expanded="false">
              <i class="ri-record-circle-line"></i>
              <span>{{menuItem.title}}</span>
              <i *ngIf="menuItem.children && menuItem.children.length > 0"
                 class="ri-arrow-right-s-line iq-arrow-right"></i>
            </a>

            <ul id="menuItem{{i}}" class="iq-submenu collapse" data-parent="#iq-sidebar-toggle">
              <li *ngFor="let childLevel1 of menuItem.children; let j=index">
                <a href="#childLevel1{{j}}" class="iq-waves-effect collapsed" data-toggle="collapse"
                   aria-expanded="false">
                  <span>{{childLevel1.title}}</span>
                  <i *ngIf="childLevel1.children && childLevel1.children.length > 0"
                     class="ri-arrow-right-s-line iq-arrow-right"></i>
                </a>
                <ul id="childLevel1{{j}}" class="iq-submenu iq-submenu-data collapse">
                  <li *ngFor="let childLevel2 of childLevel1.children">
                    <a [routerLink]="childLevel2.path">{{childLevel2.title}}</a>
                  </li>
                </ul>
              </li>
            </ul>

          </li>
        </ul>
        <!-- MOBILE MENU END -->

        <!-- WEB MENU -->
        <ul id="iq-sidebar-toggle" class="iq-menu d-flex web-menu">
          <li *ngFor="let menuItem of menuItems" routerLinkActive="active"
              [routerLinkActiveOptions]="{exact:false}">
            <a [routerLink]="menuItem.path" class="iq-waves-effect collapsed" >
              <i class="ri-record-circle-line"></i>
              <span>{{menuItem.title}}</span>
            </a>
          </li>
        </ul>
        <!-- WEB MENU END -->

      </nav>
    </div>
    <nav class="navbar navbar-expand-lg navbar-light p-0">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <i class="ri-menu-3-line"></i>
      </button>
      <div class="iq-menu-bt align-self-center">
        <div class="wrapper-menu">
          <div class="line-menu half start"></div>
          <div class="line-menu"></div>
          <div class="line-menu half end"></div>
        </div>
      </div>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto navbar-list">
          <li class="nav-item">
            <div
              class="custom-control custom-switch custom-switch-icon custom-switch-color custom-control-inline">
              <div class="custom-switch-inner">
                <input type="checkbox" class="custom-control-input bg-dark" id="switchDarkMode"
                       [checked]="enableDarkMode" (change)="onSwitchToDarkMode($event.target.checked)">
                <label class="custom-control-label" for="switchDarkMode">
                  <span class="switch-icon-left"><i class="ri-moon-fill"></i></span>
                  <span class="switch-icon-right"><i class="ri-sun-fill"></i></span>
                </label>
              </div>
            </div>
          </li>

          <!-- Les Messages -->
          <li class="nav-item dropdown">
            <a href="#" class="search-toggle iq-waves-effect">
              <i class="ri-mail-line"></i>
              <span class="badge badge-pill badge-primary badge-up count-mail">3</span>
            </a>
            <div class="iq-sub-dropdown">
              <div class="iq-card shadow-none m-0">
                <div class="iq-card-body p-0 ">
                  <div class="bg-primary p-3">
                    <h5 class="mb-0 text-white">All Messages<small
                      class="badge  badge-light float-right pt-1">5</small></h5>
                  </div>
                  <a href="#" class="iq-sub-card">
                    <div class="media align-items-center">
                      <div class="">
                        <img class="avatar-40 rounded" src="assets/app/images/user/01.jpg" alt="">
                      </div>
                      <div class="media-body ml-3">
                        <h6 class="mb-0 ">Nik Emma Watson</h6>
                        <small class="float-left font-size-12">13 Jun</small>
                      </div>
                    </div>
                  </a>
                  <a href="#" class="iq-sub-card">
                    <div class="media align-items-center">
                      <div class="">
                        <img class="avatar-40 rounded" src="assets/app/images/user/02.jpg" alt="">
                      </div>
                      <div class="media-body ml-3">
                        <h6 class="mb-0 ">Lorem Ipsum Watson</h6>
                        <small class="float-left font-size-12">20 Apr</small>
                      </div>
                    </div>
                  </a>
                  <a href="#" class="iq-sub-card">
                    <div class="media align-items-center">
                      <div class="">
                        <img class="avatar-40 rounded" src="assets/app/images/user/03.jpg" alt="">
                      </div>
                      <div class="media-body ml-3">
                        <h6 class="mb-0 ">Why do we use it?</h6>
                        <small class="float-left font-size-12">30 Jun</small>
                      </div>
                    </div>
                  </a>
                  <a href="#" class="iq-sub-card">
                    <div class="media align-items-center">
                      <div class="">
                        <img class="avatar-40 rounded" src="assets/app/images/user/04.jpg" alt="">
                      </div>
                      <div class="media-body ml-3">
                        <h6 class="mb-0 ">Variations Passages</h6>
                        <small class="float-left font-size-12">12 Sep</small>
                      </div>
                    </div>
                  </a>
                  <a href="#" class="iq-sub-card">
                    <div class="media align-items-center">
                      <div class="">
                        <img class="avatar-40 rounded" src="assets/app/images/user/05.jpg" alt="">
                      </div>
                      <div class="media-body ml-3">
                        <h6 class="mb-0 ">Lorem Ipsum generators</h6>
                        <small class="float-left font-size-12">5 Dec</small>

                      </div>
                    </div>
                  </a>
                </div>
              </div>
            </div>
          </li>

          <!-- Notifications -->
          <li class="nav-item">
            <a href="#" class="search-toggle iq-waves-effect">
              <i class="ri-notification-2-line"></i>
              <span class="bg-danger dots"></span>
            </a>
            <app-alertes-list></app-alertes-list>
          </li>

          <!-- Plein écran -->
          <li class="nav-item iq-full-screen"><a class="iq-waves-effect" id="btnFullscreen"><i
            class="ri-fullscreen-line"></i></a></li>
        </ul>
      </div>
      <ul class="navbar-list">
        <li>
          <a href="#" class="search-toggle iq-waves-effect">
            <i class="ri-settings-2-line"></i>
          </a>
          <div class="iq-sub-dropdown iq-user-dropdown">
            <div class="iq-card shadow-none m-0">
              <div class="iq-card-body p-0 ">
                <div class="bg-primary p-3">
                  <h5 class="mb-0 text-white line-height">Hello Nik jone</h5>
                  <span class="text-white font-size-12">Available</span>
                </div>
                <a href="profile.html" class="iq-sub-card iq-bg-primary-hover">
                  <div class="media align-items-center">
                    <div class="rounded iq-card-icon iq-bg-primary">
                      <i class="ri-file-user-line"></i>
                    </div>
                    <div class="media-body ml-3">
                      <h6 class="mb-0 ">My Profile</h6>
                      <p class="mb-0 font-size-12">View personal profile details.</p>
                    </div>
                  </div>
                </a>
                <a href="profile-edit.html" class="iq-sub-card iq-bg-primary-success-hover">
                  <div class="media align-items-center">
                    <div class="rounded iq-card-icon iq-bg-success">
                      <i class="ri-profile-line"></i>
                    </div>
                    <div class="media-body ml-3">
                      <h6 class="mb-0 ">Edit Profile</h6>
                      <p class="mb-0 font-size-12">Modify your personal details.</p>
                    </div>
                  </div>
                </a>
                <a href="account-setting.html" class="iq-sub-card iq-bg-primary-danger-hover">
                  <div class="media align-items-center">
                    <div class="rounded iq-card-icon iq-bg-danger">
                      <i class="ri-account-box-line"></i>
                    </div>
                    <div class="media-body ml-3">
                      <h6 class="mb-0 ">Account settings</h6>
                      <p class="mb-0 font-size-12">Manage your account parameters.</p>
                    </div>
                  </div>
                </a>
                <a href="privacy-setting.html" class="iq-sub-card iq-bg-primary-secondary-hover">
                  <div class="media align-items-center">
                    <div class="rounded iq-card-icon iq-bg-secondary">
                      <i class="ri-lock-line"></i>
                    </div>
                    <div class="media-body ml-3">
                      <h6 class="mb-0 ">Privacy Settings</h6>
                      <p class="mb-0 font-size-12">Control your privacy parameters.</p>
                    </div>
                  </div>
                </a>
                <div class="d-inline-block w-100 text-center p-3">
                  <a class="iq-bg-danger iq-sign-btn" href="#" (click)="logOut()" role="button">Sign out<i
                    class="ri-login-box-line ml-2"></i></a>
                </div>
              </div>
            </div>
          </div>
        </li>
      </ul>
    </nav>
  </div>
</div>
<!-- TOP Nav Bar END -->
